# Установка

В файл `composer.json` добавить

    "repositories": {
        "gitlab.iwayex.com/45": {
            "type": "composer",
            "url": "https://gitlab.iwayex.com/api/v4/group/45/-/packages/composer/packages.json"
        }
    }

Выполнить команду `composer require iwaydev/trans-ng-client`

В файле конфигов `app.php`, в секцию `'providers'` добавить провайдер

    Iwaydev\TransNgClient\TransNgServiceProvider::class

Опубликовать конфиг

    make artis q="vendor:publish --provider=\"Iwaydev\TransNgClient\TransNgServiceProvider\" --tag=config --force"

В файле `dev.stack.yml` для конейнера `php` в `extra_hosts` нужно добавить хосты:

```
extra_hosts:
  - "api.trans-next-gen.local:{{IP_ADDRESS}}"
```

# Настройка

В `.env` файлы для каждого стейджа прописываем переменные окружения:

```
    TRANS_NG_URL=http://api.authorization.local:55
    TRANS_NG_API_VERSION=v1
    TRANS_NG_CACHE_LIFETIME=3600
```

Где:

- `TRANS_NG_URL` - URL апи TransNG
- `TRANS_NG_API_VERSION` - версия используемого апи
- `TRANS_NG_CACHE_LIFETIME` - время, в секундах, на которое будут кэшироваться ответы

Если нужно переопределить дефолтное логирование,
то в файле конфигов `logging.php` нужно создать таргет с именами `trans_ng`:

```
...
'channels' => [
    ...
    'trans_ng' => [
        'driver' => 'daily',
        'path' => storage_path('logs/new-path/for-file.log'),
        'level' => 'debug',
        'days' => 14,
        'permission' => 0777
    ],
]
```